API referenceCounterparty
POST /api/Counterparty/GetCounterpartiesTimeseriesTypes
Returns counterparty timeseries types by ids. Pass null or an empty array for all types.
POST
/api/Counterparty/GetCounterpartiesTimeseriesTypescurl -X POST "/api/Counterparty/GetCounterpartiesTimeseriesTypes" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.CounterPartyTimeseriesTypeDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"order": 0,
"counterPartyTimeseriesTypeCategory": 1,
"counterPartyTimeseriesTypeCategoryName": "string"
}
]
}